CVE-2018-20676

In Bootstrap before 3.4.0, XSS is possible in the tooltip data-viewport attribute.

Published : 2019-01-09 05:29 Updated : 2019-06-11 18:29

4.3
CVSS Score More info
Score 4.3 / 10
4.3
Vendor Product Version URI
Getbootstrap Bootstrap 1.0.0 cpe:/a:getbootstrap:bootstrap:1.0.0
Getbootstrap Bootstrap 1.1.0 cpe:/a:getbootstrap:bootstrap:1.1.0
Getbootstrap Bootstrap 1.1.1 cpe:/a:getbootstrap:bootstrap:1.1.1
Getbootstrap Bootstrap 1.2.0 cpe:/a:getbootstrap:bootstrap:1.2.0
Getbootstrap Bootstrap 1.3.0 cpe:/a:getbootstrap:bootstrap:1.3.0
Getbootstrap Bootstrap 1.4.0 cpe:/a:getbootstrap:bootstrap:1.4.0
Getbootstrap Bootstrap 2.0.0 cpe:/a:getbootstrap:bootstrap:2.0.0
Getbootstrap Bootstrap 2.0.1 cpe:/a:getbootstrap:bootstrap:2.0.1
Getbootstrap Bootstrap 2.0.2 cpe:/a:getbootstrap:bootstrap:2.0.2
Getbootstrap Bootstrap 2.0.3 cpe:/a:getbootstrap:bootstrap:2.0.3
Getbootstrap Bootstrap 2.0.4 cpe:/a:getbootstrap:bootstrap:2.0.4
Getbootstrap Bootstrap 2.1.0 cpe:/a:getbootstrap:bootstrap:2.1.0
Getbootstrap Bootstrap 2.1.1 cpe:/a:getbootstrap:bootstrap:2.1.1
Getbootstrap Bootstrap 2.2.0 cpe:/a:getbootstrap:bootstrap:2.2.0
Getbootstrap Bootstrap 2.2.1 cpe:/a:getbootstrap:bootstrap:2.2.1
Getbootstrap Bootstrap 2.2.2 cpe:/a:getbootstrap:bootstrap:2.2.2
Getbootstrap Bootstrap 2.3.0 cpe:/a:getbootstrap:bootstrap:2.3.0
Getbootstrap Bootstrap 2.3.1 cpe:/a:getbootstrap:bootstrap:2.3.1
Getbootstrap Bootstrap 2.3.2 cpe:/a:getbootstrap:bootstrap:2.3.2
Getbootstrap Bootstrap 3.0.0 cpe:/a:getbootstrap:bootstrap:3.0.0:-
Getbootstrap Bootstrap 3.0.0 cpe:/a:getbootstrap:bootstrap:3.0.0:rc1
Getbootstrap Bootstrap 3.0.0 cpe:/a:getbootstrap:bootstrap:3.0.0:rc2
Getbootstrap Bootstrap 3.0.1 cpe:/a:getbootstrap:bootstrap:3.0.1
Getbootstrap Bootstrap 3.0.2 cpe:/a:getbootstrap:bootstrap:3.0.2
Getbootstrap Bootstrap 3.0.3 cpe:/a:getbootstrap:bootstrap:3.0.3
Getbootstrap Bootstrap 3.1.0 cpe:/a:getbootstrap:bootstrap:3.1.0
Getbootstrap Bootstrap 3.1.1 cpe:/a:getbootstrap:bootstrap:3.1.1
Getbootstrap Bootstrap 3.2.0 cpe:/a:getbootstrap:bootstrap:3.2.0
Getbootstrap Bootstrap 3.3.0 cpe:/a:getbootstrap:bootstrap:3.3.0
Getbootstrap Bootstrap 3.3.1 cpe:/a:getbootstrap:bootstrap:3.3.1
Getbootstrap Bootstrap 3.3.2 cpe:/a:getbootstrap:bootstrap:3.3.2
Getbootstrap Bootstrap 3.3.4 cpe:/a:getbootstrap:bootstrap:3.3.4
Getbootstrap Bootstrap 3.3.5 cpe:/a:getbootstrap:bootstrap:3.3.5
Getbootstrap Bootstrap 3.3.6 cpe:/a:getbootstrap:bootstrap:3.3.6
Getbootstrap Bootstrap 3.3.7 cpe:/a:getbootstrap:bootstrap:3.3.7
  1. Getbootstrap (1) Search CVE
    1. Bootstrap (33) Search CVE
      1. 1.0.0
      2. 1.1.0
      3. 1.1.1
      4. 1.2.0
      5. 1.3.0
      6. 1.4.0
      7. 2.0.0
      8. 2.0.1
      9. 2.0.2
      10. 2.0.3
      11. 2.0.4
      12. 2.1.0
      13. 2.1.1
      14. 2.2.0
      15. 2.2.1
      16. 2.2.2
      17. 2.3.0
      18. 2.3.1
      19. 2.3.2
      20. 3.0.0
      21. 3.0.1
      22. 3.0.2
      23. 3.0.3
      24. 3.1.0
      25. 3.1.1
      26. 3.2.0
      27. 3.3.0
      28. 3.3.1
      29. 3.3.2
      30. 3.3.4
      31. 3.3.5
      32. 3.3.6
      33. 3.3.7

CWE

ID Name Description Links
CWE-79 Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') The software does not neutralize or incorrectly neutralizes user-controllable input before it is placed in output that is used as a web page that is served to other users. CVE

History of changes

Date Event
2019-06-11 18:29
2019-01-11 15:52
2019-01-09 05:29

New CVE